Bug 14773 - 8bit chars lost
Summary: 8bit chars lost
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-27 22:44 UTC by Richard Allen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-20 21:32:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Allen 2000-07-27 22:44:59 UTC
After installing pinstripe 8 bit characters are lost when telnetting to
other systems. It's almost like telnet forces stripping of 8 bit
characters.   Rloging to the same systems does not
have this problem.   So the bug must be in the telnet client on pinstripe.

Comment 1 Jeff Johnson 2000-07-28 14:16:04 UTC
Can you encapsulate what you are seeing in a short test case so that we can
quickly
isolate this problem? (thanks.

Comment 2 Richard Allen 2000-07-28 15:56:32 UTC
Sure enough.  I'm sitting on a i386 system running pinstripe.  All 8bit
characters are working fine and therre are no problems. If I telnet to another
system (RedHat 6.2, HP-UX, Solaris) then the 8 bit characters get stripped (i.e.
the 8-th bit gets set to 0).
Bugzilla isnt 8 bit clean so I cant show the problem here but this is whats
happening. The fact that rlogin and other methods of connecting seem to be ok
kinda proves that the problem is in the telnet client in pinstripe

Comment 3 Alan Cox 2000-08-05 01:32:31 UTC
Can you run telnet turn on the option debugging then open the host and attach a
log of this

Alan


Comment 4 Richard Allen 2000-08-06 12:32:13 UTC
Hmm..   I tried "telnet -d -n logfile remotehost" but it never wrote anything.
There is a workaround that can be used to get telnet to behave propperly.  
"telnet -8 remotehost" does the trick.
How do you want me to run telnet ? (i.e. which options or switches do you want
?)

Rikki.


Comment 5 Henri Schlereth 2001-01-22 08:13:31 UTC
Unable to duplicate the 8 bit drop, but the tracefile option as outlined.
-d -n tracefile remotehost does indeed not log anything.

Comment 6 Harald Hoyer 2001-08-01 06:41:35 UTC
Could you please retry with:
ftp://people.redhat.com/harald/telnet-0.17-16.src.rpm
Bonus: security fixes to the recently discovered vulnerabilities


Comment 7 Pekka Savola 2001-09-01 10:05:23 UTC
option negotiation is not written to tracefile by default.

if you specify 'set options on' , they will be written.

enabling debug mode is not enough; perhaps this is different from old netkit-telnet behaviour..

Comment 8 Richard Allen 2001-09-20 21:32:07 UTC
This issue was only relevant to that version of pinstripe.
When the final release came out 8bit chars where ok and have been ever since.
I'd say that this bug can be closed :)



Note You need to log in before you can comment on or make changes to this bug.